#include "datastructures/BarnesHutTree.hpp"
#include "parallelization/MpiSimulation.hpp"
#include <iostream>
#include <mpi.h>

using namespace nbody;
using namespace std;

int main(int argc, char* argv[]) {
	MPI::Init(argc, argv);
	MpiSimulation simulation(argc, argv);

	simulation.distributeBodies();
	simulation.runStep();
	simulation.cleanup();
	MPI::Finalize();
	return 0;
}
